1

I am trying to upgrade Magento 2.2.4 to 2.2.5 with composer.

php bin/magento maintenance:enable
php composer.phar require magento/product-community-edition 2.2.5 --no-update
php composer.phar update

The update is failing with the following errors

Your requirements could not be resolved to an installable set of packages.

Problem 1
    - Installation request for magento/magento2ce 2.2.4 -> satisfiable by magento/magento2ce[2.2.4].
    - magento/product-community-edition 2.2.5 requires magento/framework 101.0.5 -> satisfiable by magento/framework[101.0.5].
    - don't install magento/framework 101.0.5|remove magento/magento2ce 2.2.4
    - Installation request for magento/product-community-edition 2.2.5 -> satisfiable by magento/product-community-edition[2.2.5].

Here is my composer.json file

{
    "name": "magento/magento2ce",
    "description": "Magento 2 (Open Source)",
    "type": "project",
    "version": "2.2.4",
    "license": [
        "OSL-3.0",
        "AFL-3.0"
    ],
    "require": {
        "php": "7.0.2|7.0.4|~7.0.6|~7.1.0",
        "zendframework/zend-stdlib": "^2.7.7",
        "zendframework/zend-code": "~3.1.0",
        "zendframework/zend-server": "^2.6.1",
        "zendframework/zend-soap": "^2.6.0",
        "zendframework/zend-uri": "^2.5.1",
        "zendframework/zend-validator": "^2.6.0",
        "zendframework/zend-crypt": "^2.6.0",
        "zendframework/zend-console": "^2.6.0",
        "zendframework/zend-modulemanager": "^2.7",
        "zendframework/zend-mvc": "~2.7.12",
        "zendframework/zend-text": "^2.6.0",
        "zendframework/zend-i18n": "^2.7.3",
        "zendframework/zend-eventmanager": "^2.6.3",
        "zendframework/zend-view": "^2.8.1",
        "zendframework/zend-servicemanager": "^2.7.8",
        "zendframework/zend-json": "^2.6.1",
        "zendframework/zend-config": "^2.6.0",
        "zendframework/zend-form": "^2.10.0",
        "zendframework/zend-di": "^2.6.1",
        "zendframework/zend-serializer": "^2.7.2",
        "zendframework/zend-log": "^2.9.1",
        "zendframework/zend-http": "^2.6.0",
        "zendframework/zend-db": "^2.8.2",
        "zendframework/zend-captcha": "^2.7.1",
        "zendframework/zend-session": "^2.7.3",
        "magento/zendframework1": "~1.13.0",
        "colinmollenhour/credis": "1.8.2",
        "colinmollenhour/php-redis-session-abstract": "1.3.4",
        "colinmollenhour/cache-backend-redis": "1.10.4",
        "colinmollenhour/cache-backend-file": "1.4",
        "composer/composer": "1.4.1",
        "monolog/monolog": "^1.17",
        "oyejorge/less.php": "~1.7.0",
        "pelago/emogrifier": "^2.0.0",
        "tubalmartin/cssmin": "4.1.1",
        "magento/magento-composer-installer": ">=0.1.11",
        "braintree/braintree_php": "3.28.0",
        "symfony/console": "~2.3, !=2.7.0",
        "symfony/event-dispatcher": "~2.1",
        "symfony/process": "~2.1",
        "phpseclib/phpseclib": "2.0.*",
        "tedivm/jshrink": "~1.3.0",
        "magento/composer": "~1.2.0",
        "lib-libxml": "*",
        "ext-ctype": "*",
        "ext-gd": "*",
        "ext-spl": "*",
        "ext-dom": "*",
        "ext-simplexml": "*",
        "ext-mcrypt": "*",
        "ext-bcmath": "*",
        "ext-hash": "*",
        "ext-curl": "*",
        "ext-iconv": "*",
        "ext-intl": "*",
        "ext-xsl": "*",
        "ext-mbstring": "*",
        "ext-openssl": "*",
        "ext-zip": "*",
        "ext-pdo_mysql": "*",
        "ext-soap": "*",
        "sjparkinson/static-review": "~4.1",
        "ramsey/uuid": "~3.7.3",
        "magento/data-migration-tool": "2.2.4",
        "magento/product-community-edition": "2.2.5"
    },
    "require-dev": {
        "phpunit/phpunit": "~6.2.0",
        "squizlabs/php_codesniffer": "3.2.2",
        "phpmd/phpmd": "@stable",
        "pdepend/pdepend": "2.5.2",
        "friendsofphp/php-cs-fixer": "~2.2.1",
        "lusitanian/oauth": "~0.8.10",
        "sebastian/phpcpd": "2.0.4"
    },
    "replace": {
        "magento/module-marketplace": "100.2.1",
        "magento/module-admin-notification": "100.2.2",
        "magento/module-advanced-pricing-import-export": "100.2.2",
        "magento/module-analytics": "100.2.1",
        "magento/module-authorization": "100.2.0",
        "magento/module-authorizenet": "100.2.0",
        "magento/module-backend": "100.2.4",
        "magento/module-backup": "100.2.3",
        "magento/module-braintree": "100.2.4",
        "magento/module-bundle": "100.2.3",
        "magento/module-bundle-import-export": "100.2.1",
        "magento/module-cache-invalidate": "100.2.0",
        "magento/module-captcha": "100.2.1",
        "magento/module-catalog": "102.0.4",
        "magento/module-catalog-analytics": "100.2.0",
        "magento/module-catalog-import-export": "100.2.3",
        "magento/module-catalog-inventory": "100.2.3",
        "magento/module-catalog-rule": "101.0.3",
        "magento/module-catalog-rule-configurable": "100.2.0",
        "magento/module-catalog-search": "100.2.3",
        "magento/module-catalog-url-rewrite": "100.2.3",
        "magento/module-catalog-widget": "100.2.1",
        "magento/module-checkout": "100.2.4",
        "magento/module-checkout-agreements": "100.2.0",
        "magento/module-cms": "102.0.4",
        "magento/module-cms-url-rewrite": "100.2.0",
        "magento/module-config": "101.0.4",
        "magento/module-configurable-import-export": "100.2.1",
        "magento/module-configurable-product": "100.2.4",
        "magento/module-configurable-product-sales": "100.2.1",
        "magento/module-contact": "100.2.1",
        "magento/module-cookie": "100.2.0",
        "magento/module-cron": "100.2.2",
        "magento/module-currency-symbol": "100.2.0",
        "magento/module-customer": "101.0.4",
        "magento/module-customer-analytics": "100.2.0",
        "magento/module-customer-import-export": "100.2.2",
        "magento/module-deploy": "100.2.3",
        "magento/module-developer": "100.2.2",
        "magento/module-dhl": "100.2.1",
        "magento/module-directory": "100.2.3",
        "magento/module-downloadable": "100.2.3",
        "magento/module-downloadable-import-export": "100.2.0",
        "magento/module-eav": "101.0.3",
        "magento/module-email": "100.2.2",
        "magento/module-encryption-key": "100.2.0",
        "magento/module-fedex": "100.2.1",
        "magento/module-gift-message": "100.2.0",
        "magento/module-google-adwords": "100.2.0",
        "magento/module-google-analytics": "100.2.2",
        "magento/module-google-optimizer": "100.2.1",
        "magento/module-grouped-import-export": "100.2.0",
        "magento/module-grouped-product": "100.2.2",
        "magento/module-import-export": "100.2.4",
        "magento/module-indexer": "100.2.2",
        "magento/module-instant-purchase": "100.2.0",
        "magento/module-integration": "100.2.2",
        "magento/module-layered-navigation": "100.2.1",
        "magento/module-media-storage": "100.2.0",
        "magento/module-msrp": "100.2.0",
        "magento/module-multishipping": "100.2.1",
        "magento/module-new-relic-reporting": "100.2.2",
        "magento/module-newsletter": "100.2.3",
        "magento/module-offline-payments": "100.2.0",
        "magento/module-offline-shipping": "100.2.2",
        "magento/module-page-cache": "100.2.1",
        "magento/module-payment": "100.2.2",
        "magento/module-paypal": "100.2.2",
        "magento/module-persistent": "100.2.0",
        "magento/module-product-alert": "100.2.1",
        "magento/module-product-video": "100.2.2",
        "magento/module-quote": "101.0.3",
        "magento/module-quote-analytics": "100.2.0",
        "magento/module-release-notification": "100.2.1",
        "magento/module-reports": "100.2.4",
        "magento/module-require-js": "100.2.1",
        "magento/module-review": "100.2.4",
        "magento/module-review-analytics": "100.2.0",
        "magento/module-robots": "100.2.1",
        "magento/module-rss": "100.2.0",
        "magento/module-rule": "100.2.1",
        "magento/module-sales": "101.0.3",
        "magento/module-sales-analytics": "100.2.0",
        "magento/module-sales-inventory": "100.2.0",
        "magento/module-sales-rule": "101.0.2",
        "magento/module-sales-sequence": "100.2.0",
        "magento/module-sample-data": "100.2.2",
        "magento/module-search": "100.2.3",
        "magento/module-security": "100.2.1",
        "magento/module-send-friend": "100.2.0",
        "magento/module-shipping": "100.2.4",
        "magento/module-signifyd": "100.2.1",
        "magento/module-sitemap": "100.2.3",
        "magento/module-store": "100.2.3",
        "magento/module-swagger": "100.2.2",
        "magento/module-swatches": "100.2.2",
        "magento/module-swatches-layered-navigation": "100.2.0",
        "magento/module-tax": "100.2.4",
        "magento/module-tax-import-export": "100.2.0",
        "magento/module-theme": "100.2.4",
        "magento/module-translation": "100.2.3",
        "magento/module-ui": "101.0.4",
        "magento/module-ups": "100.2.2",
        "magento/module-url-rewrite": "101.0.3",
        "magento/module-user": "101.0.2",
        "magento/module-usps": "100.2.2",
        "magento/module-variable": "100.2.3",
        "magento/module-vault": "101.0.2",
        "magento/module-version": "100.2.0",
        "magento/module-webapi": "100.2.2",
        "magento/module-webapi-security": "100.2.1",
        "magento/module-weee": "100.2.1",
        "magento/module-widget": "101.0.2",
        "magento/module-wishlist": "101.0.2",
        "magento/module-wishlist-analytics": "100.2.0",
        "magento/theme-adminhtml-backend": "100.2.2",
        "magento/theme-frontend-blank": "100.2.2",
        "magento/theme-frontend-luma": "100.2.3",
        "magento/language-de_de": "100.2.0",
        "magento/language-en_us": "100.2.0",
        "magento/language-es_es": "100.2.0",
        "magento/language-fr_fr": "100.2.0",
        "magento/language-nl_nl": "100.2.0",
        "magento/language-pt_br": "100.2.0",
        "magento/language-zh_hans_cn": "100.2.0",
        "magento/framework": "101.0.4",
        "trentrichardson/jquery-timepicker-addon": "1.4.3",
        "components/jquery": "1.11.0",
        "blueimp/jquery-file-upload": "5.6.14",
        "components/jqueryui": "1.10.4",
        "twbs/bootstrap": "3.1.0",
        "tinymce/tinymce": "3.4.7"
    },
    "extra": {
        "component_paths": {
            "trentrichardson/jquery-timepicker-addon": "lib/web/jquery/jquery-ui-timepicker-addon.js",
            "components/jquery": [
                "lib/web/jquery.js",
                "lib/web/jquery/jquery.min.js",
                "lib/web/jquery/jquery-migrate.js"
            ],
            "blueimp/jquery-file-upload": "lib/web/jquery/fileUploader",
            "components/jqueryui": [
                "lib/web/jquery/jquery-ui.js"
            ],
            "twbs/bootstrap": [
                "lib/web/jquery/jquery.tabs.js"
            ],
            "tinymce/tinymce": "lib/web/tiny_mce"
        }
    },
    "autoload": {
        "psr-4": {
            "Magento\\Framework\\": "lib/internal/Magento/Framework/",
            "Magento\\Setup\\": "setup/src/Magento/Setup/",
            "Magento\\": "app/code/Magento/"
        },
        "psr-0": {
            "": [
                "app/code/"
            ]
        },
        "files": [
            "app/etc/NonComposerComponentRegistration.php"
        ],
        "exclude-from-classmap": [
            "**/dev/**",
            "**/update/**",
            "**/Test/**"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Magento\\Sniffs\\": "dev/tests/static/framework/Magento/Sniffs/",
            "Magento\\Tools\\": "dev/tools/Magento/Tools/",
            "Magento\\Tools\\Sanity\\": "dev/build/publication/sanity/Magento/Tools/Sanity/",
            "Magento\\TestFramework\\Inspection\\": "dev/tests/static/framework/Magento/TestFramework/Inspection/",
            "Magento\\TestFramework\\Utility\\": "dev/tests/static/framework/Magento/TestFramework/Utility/"
        }
    },
    "minimum-stability": "stable",
    "repositories": {
        "magento": {
            "type": "composer",
            "url": "https://repo.magento.com"
        },
        "data-migration-tool": {
            "type": "git",
            "url": "https://github.com/magento/data-migration-tool"
        }
    }
}

Does anyone know why the upgrade is failing?

  • 1
    What's with the replace node in your composer.json ? I have nothing of the kind. – vitoriodachef Jul 18 '18 at 8:57
  • This should be a standard composer.json file, all I have done is run composer.phar require magento/product-community-edition 2.2.5 --no-update. – Garry Jul 19 '18 at 17:18
2

Perhaps you could try removing everything that is already required by magento/product-community-edition 2.2.5 from your own composer.json and run it again. Yours seems a little excessive. Then try this command:

composer update magento/product-community-edition:2.2.5 --with-dependencies.

  • I have just tried that, however it won't update. Package "magento/product-community-edition:2.2.5" listed for update is not installed. Ignoring. – Garry Aug 4 '18 at 15:06
  • I have finally got it. I used your advice and also removed the replace node as mentioned by @vitoriodachef. My install of Magento had all its code in /app and /lib folders. Once upgraded they were in the /vandor/magento folder along with the default and luma themes, this caused a conflict so had to delete them and run php bin/magento setup:upgrade. – Garry Aug 4 '18 at 22:34
1

You can try upgrading from Magento admin panel by navigating to below location:

'System' > 'Tools' > 'Web setup wizard'

  • I've tried that, it won't let me upgrade – Garry Jul 19 '18 at 17:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.